package com.mortals.xhx.module.yth.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:YthOnething
* date: 2021-9-23 16:00:52
*/
public class YthOnethingEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1632384052549L;


    /**
    * 流程任务id
    */
    private String taskId;

    /**
    * 流程实例id
    */
    private String processInstanceId;

    /**
    * 微信用户ID
    */
    private Long memberId;

    /**
    * 微信OPENID
    */
    private String openId;

    /**
    * 申请主题包id
    */
    private Long classifyTopicId;

    /**
    * 邮寄地址
    */
    private String address;

    /**
    * 联系人
    */
    private String linkman;

    /**
    * 联系电话
    */
    private Integer phone;

    /**
    * 取件方式 0自主取件  1邮寄
    */
    private Integer manner;

    /**
    * 取件码
    */
    private String getnum;

    /**
    * 快递单号
    */
    private String number;

    /**
    * 是否代办 0是本人办理 1他人代办
    */
    private Integer isAgent;

    /**
    * 0是否撤销 1撤销
    */
    private Integer isRevoke;

    /**
    * 站点ID
    */
    private Integer siteid;

    /**
    * 审批状态 0未审核 1 审核中 2 审核成功
    */
    private Integer status;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public YthOnethingEntity(){

    }
    /**
    * 获取 流程任务id
    * @return taskId
    */
    public String getTaskId() {
        return this.taskId;
    }
    /**
    * 设置 流程任务id
    * @param taskId
    */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
    /**
    * 获取 流程实例id
    * @return processInstanceId
    */
    public String getProcessInstanceId() {
        return this.processInstanceId;
    }
    /**
    * 设置 流程实例id
    * @param processInstanceId
    */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }
    /**
    * 获取 微信用户ID
    * @return memberId
    */
    public Long getMemberId() {
        return this.memberId;
    }
    /**
    * 设置 微信用户ID
    * @param memberId
    */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }
    /**
    * 获取 微信OPENID
    * @return openId
    */
    public String getOpenId() {
        return this.openId;
    }
    /**
    * 设置 微信OPENID
    * @param openId
    */
    public void setOpenId(String openId) {
        this.openId = openId;
    }
    /**
    * 获取 申请主题包id
    * @return classifyTopicId
    */
    public Long getClassifyTopicId() {
        return this.classifyTopicId;
    }
    /**
    * 设置 申请主题包id
    * @param classifyTopicId
    */
    public void setClassifyTopicId(Long classifyTopicId) {
        this.classifyTopicId = classifyTopicId;
    }
    /**
    * 获取 邮寄地址
    * @return address
    */
    public String getAddress() {
        return this.address;
    }
    /**
    * 设置 邮寄地址
    * @param address
    */
    public void setAddress(String address) {
        this.address = address;
    }
    /**
    * 获取 联系人
    * @return linkman
    */
    public String getLinkman() {
        return this.linkman;
    }
    /**
    * 设置 联系人
    * @param linkman
    */
    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }
    /**
    * 获取 联系电话
    * @return phone
    */
    public Integer getPhone() {
        return this.phone;
    }
    /**
    * 设置 联系电话
    * @param phone
    */
    public void setPhone(Integer phone) {
        this.phone = phone;
    }
    /**
    * 获取 取件方式 0自主取件  1邮寄
    * @return manner
    */
    public Integer getManner() {
        return this.manner;
    }
    /**
    * 设置 取件方式 0自主取件  1邮寄
    * @param manner
    */
    public void setManner(Integer manner) {
        this.manner = manner;
    }
    /**
    * 获取 取件码
    * @return getnum
    */
    public String getGetnum() {
        return this.getnum;
    }
    /**
    * 设置 取件码
    * @param getnum
    */
    public void setGetnum(String getnum) {
        this.getnum = getnum;
    }
    /**
    * 获取 快递单号
    * @return number
    */
    public String getNumber() {
        return this.number;
    }
    /**
    * 设置 快递单号
    * @param number
    */
    public void setNumber(String number) {
        this.number = number;
    }
    /**
    * 获取 是否代办 0是本人办理 1他人代办
    * @return isAgent
    */
    public Integer getIsAgent() {
        return this.isAgent;
    }
    /**
    * 设置 是否代办 0是本人办理 1他人代办
    * @param isAgent
    */
    public void setIsAgent(Integer isAgent) {
        this.isAgent = isAgent;
    }
    /**
    * 获取 0是否撤销 1撤销
    * @return isRevoke
    */
    public Integer getIsRevoke() {
        return this.isRevoke;
    }
    /**
    * 设置 0是否撤销 1撤销
    * @param isRevoke
    */
    public void setIsRevoke(Integer isRevoke) {
        this.isRevoke = isRevoke;
    }
    /**
    * 获取 站点ID
    * @return siteid
    */
    public Integer getSiteid() {
        return this.siteid;
    }
    /**
    * 设置 站点ID
    * @param siteid
    */
    public void setSiteid(Integer siteid) {
        this.siteid = siteid;
    }
    /**
    * 获取 审批状态 0未审核 1 审核中 2 审核成功
    * @return status
    */
    public Integer getStatus() {
        return this.status;
    }
    /**
    * 设置 审批状态 0未审核 1 审核中 2 审核成功
    * @param status
    */
    public void setStatus(Integer status) {
        this.status = status;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof YthOnethingEntity) {
            YthOnethingEntity tmp = (YthOnethingEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",taskId:").append(getTaskId())
                .append(",processInstanceId:").append(getProcessInstanceId())
                .append(",memberId:").append(getMemberId())
                .append(",openId:").append(getOpenId())
                .append(",classifyTopicId:").append(getClassifyTopicId())
                .append(",address:").append(getAddress())
                .append(",linkman:").append(getLinkman())
                .append(",phone:").append(getPhone())
                .append(",manner:").append(getManner())
                .append(",getnum:").append(getGetnum())
                .append(",number:").append(getNumber())
                .append(",isAgent:").append(getIsAgent())
                .append(",isRevoke:").append(getIsRevoke())
                .append(",siteid:").append(getSiteid())
                .append(",status:").append(getStatus())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.taskId = null;
         this.processInstanceId = null;
         this.memberId = null;
         this.openId = null;
         this.classifyTopicId = null;
         this.address = null;
         this.linkman = null;
         this.phone = null;
         this.manner = null;
         this.getnum = null;
         this.number = null;
         this.isAgent = null;
         this.isRevoke = null;
         this.siteid = null;
         this.status = null;
         this.updateTime = null;
         this.updateUser = null;
         this.createTime = null;
         this.createUser = null;
    }
}